.asterisk{
    color:red;
}
.errorMessage{
    /*
    background-color: #FFBABA;
    color: #D8000C;
    border: 1px solid;
    margin: 10px 0;
    padding: 10px;
    display: block;
    */
    background: url('../gfx/icons/alert-form-field-small.gif') no-repeat !important;
    display: inline-block;
    height: 15px;
    margin: 5px 0 0 -25px;
    padding: 0;
    position: relative;
    text-indent: -9999px;
    width: 19px;
    font-family: 'Times New Roman',Times,serif;
}
.errorChooser{
    margin-left: 5px;
}
.chooser-panel .errorMessage, .file-select .errorMessage{
    margin: 0px !important;
}
input.ui-state-error{
    background-color: #FFBABA;
    /*color: #D8000C;*/
}
.ui-messages-error, .ui-message-error{
    background-color: #ff9d78;
}
.errorText, .ui-messages-error, .ui-message-error{
    color: #b43c0d;
}
.select-error{
    padding-right: 20px;
    width: auto;
}
.select-error .errorMessage{
    margin-left: -42px;
}
.button-highlight{
    background-position: 0 0 !important;
    border: 1px solid #666 !important;
}

.activeLabel, .inactiveLabel {
    display: inline-block
}
.activeLabel span, .inactiveLabel span{
    background-color: green;
    color: white;
    display: block;
    font-size: 9px;
    padding: 2px;
}

.inactiveLabel span{
    background-color: red;
}

/* CSS image rollovers */
.ui-button {
    background: #deedf7 url(../gfx/icons/button-left.png) bottom left repeat-x;
    border: 1px solid #FFFFFF;
    /* Safari 5, Chrome support border-radius without vendor prefix.
     * FF 3.0/3.5/3.6, Mobile Safari 4.0.4 require vendor prefix.
     * No support in Safari 3/4, IE 6/7/8, Opera 10.0.
     */
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    /* only needed for webkit browsers which show a rectangular outline;
     * others do not do outline when radius used.
     * android browser still displays a big outline
     */
    outline: 0;
    height: 26px;
    color: #FFFFFF;
    font-size:12px;
    font-weight:normal;
}
.rollover {
    display: inline-block;
    width: 100px;
    height: 100px;
    text-indent: -99999px;
}
.rollover:hover,.rollover:focus {
    background-position: 0 0;
}
.rolloverSmall {
    width: 14px;
    height: 19px;
}
.rolloverMedium {
    width: 33px;
    height: 25px;
}
.rolloverLarge {
    width: 63px;
    height: 24px;
}
.rollover-logout{
    width:21px;
    background: url('../gfx/icons/log-off.png') bottom left;
    vertical-align: bottom;
}
.rollover-search{
    background: url('../gfx/icons/search.png') bottom left;
    height: 25px;
}
.rollover-home{
    background: url("../gfx/icons/home.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-account{
    background: url("../gfx/icons/my-account.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-create-student{
    background: url("../gfx/icons/create-student.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-create-mentor{
    background: url("../gfx/icons/create-mentor.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-create-teacher{
    background: url("../gfx/icons/create-teacher.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-create-guardian{
    background: url("../gfx/icons/create-guardian.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-enroll{
    background: url('../gfx/icons/enroll.png') bottom left;
    height: 25px;
    width: 33px;
}
.rollover-edit{
    background: url('../gfx/icons/edit.png') bottom left;
    height: 25px;
    width: 33px;
}
.rollover-change-password{
    background: url("../gfx/icons/change-pswrd.png") no-repeat scroll left bottom transparent;
    color: white;
    line-height: 20px;
    margin-left: 10px;
    text-indent: 15px;
    width: 115px;
    text-decoration: none;
}
.rollover-role-switcher{
    background: url("../gfx/icons/switch-role.png") no-repeat scroll right -25px transparent;
    color: white;
    line-height: 20px;
    padding-right: 6px;
    text-decoration: none;
    text-indent: 0;
    width: 100%;
}
.rollover-role-switcher:hover, .rollover-role-switcher:focus{
    background-position: right 4px;
}

.rollover-change-password:focus,.rollover-change-password:hover,.rollover-change-password:active {
    color: black;
    font-weight: bold;
    text-shadow: 1px 1px 1px #0f5865;

}
.rollover-add{
    background: url("../gfx/icons/add.png") repeat scroll left bottom transparent;
    border: medium none;
    height: 12px;
    margin-left: 5px;
    margin-top: -5px;
    vertical-align: middle;
    width: 14px;
}
.rollover-minus{
    background: url("../gfx/icons/remove.png") repeat scroll left bottom transparent;
    border: medium none;
    height: 12px;
    margin-left: 5px;
    margin-top: -5px;
    vertical-align: middle;
    width: 14px;
}
.rollover-help{
    background: url("../gfx/icons/help.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-chat{
    background: url("../gfx/icons/chat.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-ticket{
    background: url("../gfx/icons/ticket.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-collaborate{
    background: url("../gfx/icons/collaborate.png") repeat scroll left bottom transparent;
    height: 25px;
    width: 33px;
}
.rollover-email{
    background: url("../gfx/icons/email.png") no-repeat scroll left bottom transparent;
    height: 12px;
    width: 16px;
}
/* CSS text + PNG rollovers */
a.button {
    /* Sliding right image */
    background: transparent url('../gfx/icons/button-right.png') no-repeat bottom right;
    display: block;
    height: 24px; /* CHANGE THIS VALUE ACCORDING TO IMAGE HEIGHT */
    margin-right: 6px;
    padding-right: 20px; /* CHENGE THIS VALUE ACCORDING TO RIGHT IMAGE WIDTH */
    /* FONT PROPERTIES */
    text-decoration: none;
    color: #000000;
    font-size:12px;
    font-weight:bold;
    width: 70px;
    text-align: center;
}
a.button span {
    /* Background left image */
    background: transparent url('../gfx/icons/button-left.png') no-repeat bottom left;
    display: block;
    line-height: 12px; /* CHANGE THIS VALUE ACCORDING TO BUTTONG HEIGHT */
    padding: 7px 0 5px 20px;
    color: white;
    /*text-shadow: 0px -1px 0px #999;*/
}
a.button:hover, a.button:focus{
    background-position: right 0;
}
a.button:hover span, a.button:focus span{
    background-position: 0 0;
}

.ui-state-disabled{
    /* Background left image */
    background: transparent url('../gfx/icons/button-left-disabled.png') no-repeat bottom left;
}
th .ui-state-disabled, span.ui-state-disabled{
    background: none;
}
.ui-button:focus, .ui-button:hover, .ui-state-disabled:focus, .ui-state-disabled.hover{
    background-position: 0 0;
}

.command-link-rollover{
    height:23px;
    border: 1px solid #FFFFFF;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}

.unlock-account{
    background: url("../gfx/icons/unlock-orange-14.png") repeat scroll left top transparent;
    border: medium none;
    border-radius: 0 0 0 0;
    height: 14px;
    margin-left: 5px;
    text-indent: -999px;
    vertical-align: middle;
    width: 12px;
}
li.second-last-menu-item ul {
    left: -25px !important;
}
li.last-menu-item ul {
    left: -75px !important;
}
.alert{
    color:#F47B20;
    font-size: 12pt;
    font-weight: bold;
}
.alert a{
    color:#F47B20;
    text-decoration: underline;
}
.engagement-container{
    background: url("../gfx/template/field-background.png") repeat-x scroll 0 0 white;
    border: 1px solid #FFFFFF;
    border-radius: 4px 4px 4px 4px;
    line-height: 24px;
    margin-bottom: 5px;
    color: #999;
}
.engagement-on-target{
    border-color: #A8CF43;
}
.engagement-category-1, .engagement-category-2{
    color: #A8CF43;
}
.engagement-slow-pace{
    border-color: #41AFC6;
}
.engagement-category-3, .engagement-category-4{
    color: #41AFC6;
}
.engagement-at-risk{
    border-color: #F99D27;
}
.engagement-category-6, .engagement-category-7{
    color: #F47B20;
}
.engagement-disengaged{
    border-color: #C95123;
}
.engagement-category-8, .engagement-category-9{
    color: #C95123;
}
.engagement-value{
    float: right;
    border-left: 1px dotted #BEBEBE;
    padding: 0 10px;
    width: 50px;
}
.engagement-icon {
    padding-left: 30px;
}
.engagement-icon-blue-check{
    background: url("../gfx/icons/engagement-icons/engagement-blue-check.png") no-repeat scroll left top transparent;
}
.engagement-icon-blue-dash{
    background: url("../gfx/icons/engagement-icons/engagement-blue-dash.png") no-repeat scroll left top transparent;
}
.engagement-icon-green-check{
    background: url("../gfx/icons/engagement-icons/engagement-green-check.png") no-repeat scroll left top transparent;
}
.engagement-icon-green-dash{
    background: url("../gfx/icons/engagement-icons/engagement-green-dash.png") no-repeat scroll left top transparent;
}
.engagement-icon-orange-check{
    background: url("../gfx/icons/engagement-icons/engagement-orange-check.png") no-repeat scroll left top transparent;
}
.engagement-icon-orange-dash{
    background: url("../gfx/icons/engagement-icons/engagement-orange-dash.png") no-repeat scroll left top transparent;
}
.engagement-icon-gray-circle{
    background: url("../gfx/icons/engagement-icons/engagement-gray-circle.png") no-repeat scroll left top transparent;
}
.engagement-icon-gray-star{
    background: url("../gfx/icons/engagement-icons/engagement-gray-star.png") no-repeat scroll left top transparent;
}
.engagement-icon-red-dash{
    background: url("../gfx/icons/engagement-icons/engagement-red-dash.png") no-repeat scroll left top transparent;
}
.engagement-icon-red-check{
    background: url("../gfx/icons/engagement-icons/engagement-red-check.png") no-repeat scroll left top transparent;
}
/* hides select all checkbox on chooser when we don't want to allow "select all" on the chooser list */
table.hide-select-all div.ui-chkbox-all{
    display:none !important;
}
.select-max-width select{
    max-width: 75px !important;
}
.ui-datatable .ui-sortable-column-icon {
    float: right;
    position: relative;
}
.ui-messages-info-icon {
    display: none;
}
span.disabled, div.chooser-value, .chooser-list-view{
    border-top: 1px dotted;
    color: black;
    display: block;
    font-size: 14px;
    margin-top: 5px;
    min-width: 120px;
    padding-top: 5px;
}
.chooser-list-view{
    margin-right: 10px;
}
.chooser-list-view ul{
    padding: 0px;
}
.chooser-list-view li{
    list-style: none;
    margin: 0px;

}
.textarea-large span.disabled{
    width: 350px;
}
input.disabled{
    border-color: white;
    background: none;
}
.inactive{
    color: #999999;
}
.nonedit{
    color: #999999;
}
.licenseselect{
    color: #458B00;
}
.customerSection{
    color: #006600;
}
.hidden-submit{
    border: 0 none;
    height: 0;
    width: 0;
    padding: 0;
    margin: 0;
    overflow: hidden;
}
fieldset, fieldset.collapsible {
    padding: 10px;
    border-bottom-width: 1px;
    border-left-width: 1px;
    border-right-width: 1px;
    margin-bottom: 1em;
}
fieldset.collapsed {
    border-bottom-width: 0;
    border-left-width: 0;
    border-right-width: 0;
    margin-bottom: 0;
    margin-left: 3px;
    background-image: none;
    border-radius: 0px;
}
fieldset.collapsed div {
    display: none;
}
legend.collapsible {
    color: blue;
}
legend.collapsed {
    color:green;
}

.final-grade-link {
    color: #A8CF43;
}

.ui-menu-dynamic a {

}
.ui-menu-dynamic {
    background: #999;
}
.ui-button-blue{
    background-image: none;
    background-color: #83cdd6;
    border: none;
    color:#222f35;
}
.ui-button-blue:hover{
    background-color: #3cc4d9;
}
h2{
    color: #2c2c2c;
    margin-top: 20px;
}
.ui-menu-dynamic .ui-menuitem-link {
    background: url("../gfx/icons/button-left.png") repeat-x scroll left bottom #DEEDF7;
    color:white;
    font-weight: bold;
    text-shadow: 1px 1px 0px #999;
}
.ui-menu-dynamic .ui-menuitem-link:hover {
    background-position: 0 0;
}
.ui-menu-dynamic .ui-state-disabled, .disabled-action {
    background: url("../gfx/icons/button-left-disabled.png") no-repeat scroll left bottom transparent !important;
}

.has-section-true{
    color: #007A29; /*green*/
}

.has-section-false{
    color: #C95123; /*red*/
}

.simpleError{
    color: #C95123; /*red*/
}

.section-has-k12-instruction{
    color: #0066CC; /*blue*/
    background-color: #efefef;
}

.ui-state-highlight .section-has-k12-instruction{
    background-color: #ffef8f;
}
.section-has-customer-instruction{
    color: #007A29; /*green*/
}
/* style to apply to forms and elements to denote VIEW as opposed to create or edit */
.view-page {
    background-color: #F5F1F1;
}
.Solution-Active .ui-panel-titlebar {
    border-bottom: 1px solid #CCC;
}

.courseNameInput{
    width: 250px;
}

.courseNcaaMinHoursInput{
    width: 300px;
}

.courseDescriptionTextArea{
    width: 600px;
}

.courseStudentSeekingNcaaEligibility{
    color: #FF7F00; /*orange*/
    font-weight:bold;
}

span.action-success{
    color: #007A29; /*green*/
}
span.action-fail{
    color: #C95123; /*red*/
}

div.containerGrid th{
    border: none;
}

.enrollmentActionFieldset > div{
    vertical-align: top;
}
.enrollmentActionButtonContainer{
    display:block;
    float:left;
    height: 60px;
    max-width: 155px;
    text-wrap: normal;
}
.enrollmentActionButtonContainer a, .enrollmentActionButtonContainer .ui-state-disabled{
    text-wrap: none;
    font-weight: bold;
}
.enrollmentActions {

}
